---
title: Grouping operator ( )
slug: Web/JavaScript/Reference/Operators/Grouping
tags:
  - JavaScript
  - Language feature
  - Operator
  - Primary Expressions
---
<div>{{jsSidebar("Operators")}}</div>

<p>The grouping operator <code>( )</code> controls the precedence of evaluation in expressions.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-groupingoperator.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"> ( )</pre>

<h2 id="Description">Description</h2>

<p>The grouping operator consists of a pair of parentheses around an expression or sub-expression to override the normal <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Operator_Precedence">operator precedence</a> so that expressions with lower precedence can be evaluated before an expression with higher priority. As it sounds, it groups what's inside of the parentheses.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_grouping_operator">Using the grouping operator</h3>

<p>Overriding multiplication and division first, then addition and subtraction to evaluate addition first.</p>

<pre class="brush:js notranslate">var a = 1;
var b = 2;
var c = 3;

// default precedence
a + b * c     // 7
// evaluated by default like this
a + (b * c)   // 7

// now overriding precedence
// addition before multiplication
(a + b) * c   // 9

// which is equivalent to
a * c + b * c // 9
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-grouping-operator', 'The Grouping Operator')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.grouping")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Operator_Precedence">Operator precedence</a></li>
 <li>{{jsxref("Operators/delete", "delete")}}</li>
 <li>{{jsxref("Operators/typeof", "typeof")}}</li>
</ul>
